#!/usr/bin/gnuplot
reset
# ========================================================================================================

plot sin(x)

# Add another graph to the plot.
replot sin(x) * cos(x)

# Adjust the y-range to make it look better.
set yrange [-1.2:1.2]
replot

# Let us add some labels.
set title "Demo plot"

set ylabel "Y-axis"
set xlabel "Angle / Rad"

# Make it smoother
show samples

set samples 500, 500

replot

# Let us add the X-zero axis for reference.
set xzeroaxis
replot

# The plot will look better with somewhat thicker lines.
plot sin(x) with lines lw 2, sin(x) * cos(x) with lines lw 2

plot sin(x) with lines lw 2 title "y = sin(x)", sin(x) * cos(x) with lines lw 2 title "y = sin(x)cos(x)"


# ========================================================================================================
