#!/usr/bin/gnuplot
reset
# ========================================================================================================

# More complex function here.
f(x) = cos(x) * x**3

# Let us have a nice legend name with super script.
plot f(x) with lines lw 2 title "y = cos(x) x^3" 

# Adjust the y-range to make it look better.
set xrange [0:350]
replot

# Let us add some labels. At this point I do not need the top title.
set ylabel "Amplitude / NA" 
set xlabel "Angle / Rad"

# Make it smoother
show samples

set samples 500, 500

replot

# Let us add the X-zero axis for reference.
set xzeroaxis

set mxtics
set mytics

set grid
replot

set grid lw 1
replot

# ========================================================================================================
