#!/usr/bin/gnuplot
reset
# ========================================================================================================

# More complex function here.
f(x) = x * sin(1/x)

# Let us have a nice legend name with super script.
plot f(x) with lines lw 2 title "y = x sin(1/x)" 

# Adjust the y-range to make it look better.
set xrange [-1:1]
#set xrange [-0.5:0.5]
replot

# Let us add some labels. At this point I do not need the top title.
set ylabel "Amplitude / NA" 
set xlabel "Angle / Rad"

# We have to increase the sampling
# The centre area at the origin is copletely wrong otherwise.
show samples

set samples 5000, 5000
replot

# Let us add the X-zero axis for reference.
set xzeroaxis lw 1 
set yzeroaxis lw 1
replot

# Let us have it red.
plot f(x) with lines lw 2 lt 7 title "y = x sin(1/x)" 

# ========================================================================================================
