reset
# ========================================================================================================

# More complex function here, in the polar coordinates r(theta).
r(t) = exp(sin(t)) - 2 * cos(4 * t) + sin((2*t - pi)/24)**5

# Let us set the polar coordinate mode.
set polar

# ---------------------------------------
# Let us try the polar coordinates...
plot 10 lw 2 title "r(t) = 10"

replot t lw 2 title "r(t) = t"

replot 0.5 * t**2 lw 2 title "r(t) = t^2 / 2"

# ---------------------------------------
# Let us try the polar coordinates...
# Show and adjust the range of the theta angle.
show trange

set trange[0:2*pi] 
replot

# The sampling is clearly too coarse.
set samples 500
replot

# Let add the grid.
set grid polar lw 1.5

# Make the grid more visible
set grid lw 1
replot

# We can position the plot better. NOTE 8x8 canvas to make it proportional.
set yrange [-15:15]
#set xrange [-4:4]
replot

# Let us add the zero axes for reference.
#set xzeroaxis lw 1
#set yzeroaxis lw 1
replot

# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================
