reset
# ========================================================================================================

# More complex function here, in the polar coordinates r(theta).
r(t) = exp(sin(t)) - 2 * cos(4 * t) + sin((2*t - pi)/24)**5

# Let us set the polar coordinate mode.
set polar

# ---------------------------------------
# Let us try something fancy.
# We do not need the legend at this moment.
plot r(t) with lines lt 7 lw 2 title "Butterfly function" 


# Show and adjust the range of the theta angle.
show trange
set trange[-10*pi:10*pi] 

# The sampling is clearly too coarse.
set samples 5000

# Let add the grid.
set grid polar 

# Make the grid more visible
set grid lw 1

# We can position the plot better. NOTE 8x8 canvas to make it proportional.
set yrange [-3:5]
set xrange [-4:4]

# Let us add the zero axes for reference.
set xzeroaxis lw 1
set yzeroaxis lw 1

# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================
