reset
# ========================================================================================================
# 3D plotting in the parametric mode.
set parametric

# Sphere x(u,v), y(u,v), z(u,v)
splot cos(u)*cos(v),cos(u)*sin(v),sin(u) with surface title "Parametric sphere"

# Default u and v ranges are too large.
set vrange [0:2*pi]
set urange [0:2*pi]
replot

# Increase resolution for wireframes.
show isosamples
set isosamples 30

#Remove hidden parts
set hidden3d nooffset

# Correct the aspects
set xrange [-1.8:1.8]
set yrange [-1.8:1.8]

# ---------------------------------------
# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================

